Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 795107

Summary: xfce4-mpc-plugin 0.4.1-1 contains unstripped *.so
Product: [Fedora] Fedora Reporter: Ville Skytt√§ <ville.skytta>
Component: xfce4-mpc-pluginAssignee: Christoph Wickert <christoph.wickert>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: christoph.wickert
Target Milestone: ---Keywords: Patch, Regression
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: xfce4-mpc-plugin-0.4.2-1.fc17 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-28 10:58:00 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 496968    

Description Ville Skyttä 2012-02-19 12:02:23 UTC
xfce4-mpc-plugin 0.4.1-1 contains unstripped *.so, for some reason it's installed with modes 644 whereas it was and should be 755 so rpmbuild will strip it.

One quick way to fix it:

--- a/xfce4-mpc-plugin.spec
+++ b/xfce4-mpc-plugin.spec
@@ -38,2 +38,3 @@ rm -rf %{buildroot}
 make install DESTDIR=%{buildroot} INSTALL='install -p'
+chmod -c +x %{buildroot}%{_libdir}/xfce4/panel/plugins/*.so
 find %{buildroot} -name '*.la' -exec rm -f {} ';'

Comment 1 Christoph Wickert 2012-02-19 17:17:51 UTC
Thanks for the heads-up, fix is on it's way.

Comment 2 Fedora Update System 2012-02-19 17:26:28 UTC
xfce4-mpc-plugin-0.4.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-1727/xfce4-mpc-plugin-0.4.1-2.fc17

Comment 3 Fedora Update System 2012-02-20 02:14:58 UTC
Package xfce4-mpc-plugin-0.4.1-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xfce4-mpc-plugin-0.4.1-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1727/xfce4-mpc-plugin-0.4.1-2.fc17
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2012-02-20 17:11:43 UTC
Package xfce4-mpc-plugin-0.4.2-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xfce4-mpc-plugin-0.4.2-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1727/xfce4-mpc-plugin-0.4.2-1.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-02-28 10:58:00 UTC
xfce4-mpc-plugin-0.4.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.